import React from 'react';
/**
 * Svg properties.
 */

/**
 * Svg component.
 *
 * @visibleName Logotype
 */
export var Svg = function Svg(_ref) {
  var Svg = _ref.Svg,
      link = _ref.link,
      _ref$aria = _ref.aria,
      aria = _ref$aria === void 0 ? {
    label: undefined
  } : _ref$aria,
      _ref$fill = _ref.fill,
      fill = _ref$fill === void 0 ? 'white' : _ref$fill;
  return React.createElement("a", {
    href: link,
    "aria-label": aria.label,
    className: "svg"
  }, React.createElement(Svg, {
    styles: {
      fill: fill
    }
  }));
};